Window title: project name is cut off at the first dot
Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14055

Description

If the project name has a dot in it e.g. "Test QGIS 1.8.qgs" then everything after the dot is cut off in the window title e.g. the window title

will be "Quantum GIS 11d0f3a - Test QGIS 1"

This behaviour is presumably intended to strip the file extension, but it doesn't consider the case of additional dots in the project name.

Ideally either the entire name should be shown, including the extension, or the logic should be improved to only strip off .qgs

I think that the entire name should be shown, because it is more honest and more standard (surprisingly, even Microsoft programs display

the file extension in the title bar, even though by default they hide it in filer windows!).

Also, it should possibly take account of the operating system's convention for naming.  On windows the file name usually comes before the

application name.  This is better because it means in the taskbar you can usually distinguish between multiple instances of the same

application (e.g. I currently have two instances of Word showing in the taskbar as "Laundry NAME s..." and "Water-use_effici...", but QGIS

just shows as "Quantum GIS 11...").  I have seen the application name both before and after the file name on Linux, so I'm really sure

which is "normal".  Then there is the issue of child window titles.  Currently these are e.g. "Layer properties - 1m_contours", "Attribute table

- 1m_contours:: 0 / 16526 feature(s) selected".  Should these be reversed? ;)

Associated revisions

Revision 2e7cb7b4 - 2011-07-15 04:33 PM - Jürgen Fischer

fix #4072

History

#1 - 2011-07-13 01:41 AM - Alister Hood

surprisingly, even Microsoft programs display the file extension in the title bar

Hmmm.  They actually don't always.

I'm guessing they do whatever the filer was set up to do at boot time, as they don't change when you change the setting.

#2 - 2011-07-19 08:23 PM - Alister Hood

- Resolution set to fixed

- Status changed from Open to Closed
Fixed in trunk
